#39 very buggy bookmarks sidebar

1.25
closed-fixed
addons (12)
5
2015-09-20
2010-08-12
landroni
No

Dear devels
Sorry for the rant, but the bookmarks sidebar is very, very buggy. The main issue is that it does not get updated to reflect changes in the document.
1. Test case on a document with 15 lines of code:
- mouse-bookmark line 10
- clone lines 1-9 resulting in a 23-line document
- notice that the visual indicator (left of the text, right of the line numbers) is correctly update to line 19
- while the sidebar still keeps at line 10
- clicking the sidebar item will bring you to line 10, where the line originally bookmarked line is no longer. This can become very distracting when editing a document and using the sidebar for document navigation.
- a further complication, mouse-removing the bookmark at line 19 doesn't remove the one in the sidebar which is still linked to line 10
- corollary, removing the bookmark from the sidebar doesn't remove the one at at line 19 next to the text
2. Test case on a document with 100 lines of code:
- mouse-bookmark line 50
- add a "TODO" string to line 50 so that its included in the Tasks window
- go to line 1 and click the bookmark; it will correctly navigate to line 50, but will unexpectedly display line 50 as last line on the screen, hiding all lines below. Manual scrolling would be needed to get a hang of the region
- go to line 1 and click the Tasks TODO entry; it will correctly navigate to line 50, but will also centre the screen and will to display about 25%of screen lines before and 75% lines afeter line 50, which is the desirable behaviour
- going from line 100 to line 50 via the Bookmarks sidebar works better, but this is incidental. Some sort of screen centring would be nice.

The Bookmarks sidebar is very helpful but it would be even more useful if it behave consistently. Please let me know what you think of these issues.

Discussion

  • Enrico Tröger

    Enrico Tröger - 2010-08-15
    • assigned_to: nobody --> eht16
     
  • Enrico Tröger

    Enrico Tröger - 2010-08-15

    Regarding 1:
    Oops, weird that I never noticed this before. Right now, I'm not yet sure about the best solution for this. Probably we need to track any line changes and update set bookmarks. Or we update the bookmarks on a regular, idle background task or something like this. Not yet sure, especially about the performance impact.

    Regarding 2:
    Should be fixed in SVN.

    Thanks for reporting.

     
  • landroni

    landroni - 2010-08-15

    Hey Enrico! I see that you're back in business :)

    Thanks for 2, I'll check out current SVN. As for 1, my initial thought was that Geany could, as for Tasks, update the sidebar on file save. This should avoid any performance impact.

    I'm not sure, though, what would happen with the changes performed prior to sidebar update. For example, you have bookmark that goes out of sync (lines 16 in sidebar and 21 in document) and you delete the sidebar bookmark. On file save, I assume, the sidebar will contain the bookmark for line 21, since this bookmark was still in the document. But I may be wrong.

     
  • landroni

    landroni - 2010-08-15

    I'm getting an error when trying to load addons r1508.
    20:37:12: INFO : Geany 0.19, GTK+ 2.20.0, GLib 2.24.0 (en_GB.UTF-8)
    20:37:12: INFO : Added filetype Genie (48).
    20:37:12: INFO : Can't load plugin: /usr/local/lib/geany/addons.so: undefined symbol: editor_goto_pos

    All other plug-ins laod fine. The plug-ins were built against 0.19. Any ideas?

     
  • landroni

    landroni - 2010-09-03

    I no longer get this load issue when building against r5187.

    Point 2 looks nice. Any more ideas on point 1?

     
  • Enrico Tröger

    Enrico Tröger - 2015-09-20
    • status: open --> closed-fixed
    • Group: --> 1.25
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks